// SPDX-License-Identifier: GPL-2.0-only
/*
 *  add audit function based on extend attribute security.seaudit
 *
 *  This file contains the selinux hooks2 function implementations.
 *
 *  Authors:  zhoupeng, <zhoupeng@uniontech.com>
 *
 *  Copyright (C) 2022 UnionTech Technology, Inc.
 */
#ifndef __LINUX_CONFIG_PERM_H
#define __LINUX_CONFIG_PERM_H


#ifdef CONFIG_SELINUX_SID2
extern int ifr_has_perm(const char * name, int flag);
extern int hci_has_perm(unsigned long num, int flag);
extern int hci_has_perm_by_name(char *hci_devname, int flag);
extern int open_dev_has_perm(const char* dev_name,
                  unsigned long mount_flags);
extern int cdrom_has_perm(const char * name, int flag);
#else
static inline int ifr_has_perm(const char * name, int flag)
{
	return 0;
}

static inline int hci_has_perm(unsigned long num, int flag)
{
	return 0;
}

static inline int hci_has_perm_by_name(char *hci_devname, int flag)
{
	return 0;
}

static inline int open_dev_has_perm(const char* dev_name,
                  unsigned long mount_flags)
{
	return 0;
}
static inline int cdrom_has_perm(const char * name, int flag)
{
	return 0;
}
#endif
#endif
