/*
 * Copyright (C) 2022 uniontech Corporation
 * Author: zhouzilong <zhouzilong@uniontech.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 */

#ifndef __UOS_ELFVERIFY_H
#define __UOS_ELFVERIFY_H

struct uos_elfverify_operations {
	int (*script_filter) (const char *script_type, const struct linux_binprm *bprm, char **out);
	int (*sign_verify) (const char *filename);
};

extern int uos_elfverify_backend_register(struct uos_elfverify_operations *);
extern int uos_elfverify_backend_unregister(void);
extern int uos_script_guard_register(char *type);
extern int uos_script_guard_unregister(void);

#ifdef CONFIG_SECURITY_ELFVERIFY
extern void uos_elfverify_update_xattr(struct file *file, int mode);

#else
static inline void uos_elfverify_update_xattr(struct file *file, int mode)
{
	return;
}

#endif /* CONFIG_SECURITY_ELFVERIFY */
#endif
